server:
  port: 8300

  
spring:
  application:
    name: microservice-oauth2
  cloud:
    config:
      enabled: false

eureka:
  client:
    fetch-registry: true
    registry-fetch-interval-seconds: 8
    healthcheck:
      enabled: true
    serviceUrl:
      defaultZone: http://user:password123@eureka:8762/eureka
  instance:
    lease-renewal-interval-in-seconds: 4
    lease-expiration-duration-in-seconds: 12
    prefer-ip-address: true
    instance-id: ${spring.cloud.client.ip-address}:${spring.application.instance_id:${server.port}}

  
#logging:
#  level:
#    org.springframework: info
    
suntray:
  security:
    oauth2:
      storeType: jwt
      jwtSigningKey: suntray
      clients[0]:
        clientId: suntray
        clientSecret: c3VudHJheQ==
      clients[1]:
        clientId: professional
        clientSecret: professional
